# SNESDefaultUpdate

The default update function which does nothing.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESDefaultUpdate(SNES snes, PetscInt step)

Not collective

### Input Parameters

snes -The nonlinear solver context
step -The current step of the iteration

### Keywords

SNES, update

### See Also

SNESSetUpdate(), SNESDefaultRhsBC(), SNESDefaultShortolutionBC()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages